Package com.microsoft.sqlserver.jdbc

# Class SQLServerParameterMetaData

java.lang.Object
com.microsoft.sqlserver.jdbc.SQLServerParameterMetaData

All Implemented Interfaces:
  `ParameterMetaData`, `Wrapper`

public final class SQLServerParameterMetaData extends Object implements ParameterMetaData
Provides meta data for prepared statement parameters. The API javadoc for JDBC API methods that this class implements are not repeated here. Please see Sun's JDBC API interfaces javadoc for those details. Prepared statements are executed with SET FMT ONLY to retrieve column meta data Callable statements : sp_sp_sproc_columns is called to retrieve names and meta data for the procedures params.

## Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

## Method Summary

Modifier and Type
Method
Description
`String`
`getParameterClassName​(int param)`
`int`
`getParameterCount()`
`int`
`getParameterMode​(int param)`
`int`
`getParameterType​(int param)`
`String`
`getParameterTypeName​(int param)`
`int`
`getPrecision​(int param)`
`int`
`getScale​(int param)`
`int`
`isNullable​(int param)`
`boolean`
`isSigned​(int param)`
Returns if a supplied parameter index is valid.
`boolean`
`isWrapperFor​(Class<?> iface)`
`String`
`toString()`
Provides a helper function to provide an ID string suitable for tracing.
`<T> T`
`unwrap​(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### toString

public final String toString()
Provides a helper function to provide an ID string suitable for tracing.

Overrides:
  `toString` in class `Object`
Returns:
  traceID string

### isWrapperFor

public boolean isWrapperFor​(Class<?> iface) throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

### unwrap

public <T> T unwrap​(Class<T> iface) throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

### getParameterClassName

public String getParameterClassName​(int param) throws SQLServerException

Specified by:
  `getParameterClassName` in interface `ParameterMetaData`
Throws:
  `SQLServerException`

### getParameterCount

public int getParameterCount() throws SQLServerException

Specified by:
  `getParameterCount` in interface `ParameterMetaData`
Throws:
  `SQLServerException`

### getParameterMode

public int getParameterMode​(int param) throws SQLServerException

Specified by:
  `getParameterMode` in interface `ParameterMetaData`
Throws:
  `SQLServerException`

### getParameterType

public int getParameterType​(int param) throws SQLServerException

Specified by:
  `getParameterType` in interface `ParameterMetaData`
Throws:
  `SQLServerException`

### getParameterTypeName

public String getParameterTypeName​(int param) throws SQLServerException

Specified by:
  `getParameterTypeName` in interface `ParameterMetaData`
Throws:
  `SQLServerException`

### getPrecision

public int getPrecision​(int param) throws SQLServerException

Specified by:
  `getPrecision` in interface `ParameterMetaData`
Throws:
  `SQLServerException`

### getScale

public int getScale​(int param) throws SQLServerException

Specified by:
  `getScale` in interface `ParameterMetaData`
Throws:
  `SQLServerException`

### isNullable

public int isNullable​(int param) throws SQLServerException

Specified by:
  `isNullable` in interface `ParameterMetaData`
Throws:
  `SQLServerException`

### isSigned

public boolean isSigned​(int param) throws SQLServerException
Returns if a supplied parameter index is valid.

Specified by:
  `isSigned` in interface `ParameterMetaData`
Parameters:
  `param` - the @param index
Returns:
  boolean
Throws:
  `SQLServerException` - when an error occurs